﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;
using Infragistics.Windows.DataPresenter;

namespace DataGrid_TestSuite.IG_Tests
{
	/// <summary>
	/// Interaction logic for IGPerformAutoSize.xaml
	/// </summary>
	public partial class IGPerformAutoSizeTestsWindow : Window
	{
		public class Numbers
		{
			public double Num1 { get; set; }
			public double Num2 { get; set; }
		}

		private readonly ObservableCollection<Numbers> _numbers = new ObservableCollection<Numbers>
		                                        	{
		                                        		new Numbers{Num1 = 1224.42732736, Num2 = 156287.3723652383}, 
														new Numbers{Num1 = 5635353.3837363, Num2 = 5325.38363},
														new Numbers{Num1 = 8262.453761272, Num2 = 8363.32823},
														new Numbers{Num1 = 10273.382, Num2 = 1027.298236},
		                                        	};

		public IGPerformAutoSizeTestsWindow()
		{
			InitializeComponent();

			_blotter.DataSource = _numbers;
		}

		private void _performAutoSize_Click(object sender, RoutedEventArgs e)
		{
			foreach (var field in _blotter.FieldLayouts[0].Fields)
				field.PerformAutoSize(FieldAutoSizeOptions.DataCells, FieldAutoSizeScope.RecordsInView);
		}
	}
}
